package com.ningdatech.carapi.analysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 安全制度建设分析评估
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
@Data
@TableName("nd_security_manage_result_eval")
@ApiModel(value = "SecurityManageResultEval对象", description = "安全制度建设分析评估")
public class SecurityManageResultEval implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("年度")
    private Integer year;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("综合得分")
    private Integer totalScore;

    @ApiModelProperty("出现次数")
    private Integer dangerCount;

    @ApiModelProperty("出险扣分")
    private Integer dangerScore;

    @ApiModelProperty("死亡人数")
    private Integer deadCount;

    @ApiModelProperty("死亡人数扣分")
    private Integer deadScore;

    @ApiModelProperty("受伤人数")
    private Integer injuredCount;

    @ApiModelProperty("受伤人数扣分")
    private Integer injuredScore;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

}
