package com.ningdatech.carapi.archives.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.archives.enums.PaperQuestionStatusEnum;
import com.ningdatech.carapi.driver.constant.QuestionTypeEnum;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author LiuXinXin
 * @since 2022-10-11
 */
@TableName("nd_paper_question")
@Data
public class PaperQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 题目原题
     */
    private String stem;

    /**
     * 题目类型
     * {@link QuestionTypeEnum}
     */
    private String questionType;

    /**
     * 正确答案
     */
    private String correct;

    /**
     * 题目 填空、 题干、解析、答案等信息
     */
    private String questionTextContent;

    /**
     * 状态
     * {@link PaperQuestionStatusEnum}
     */
    private String questionStatus;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long regionId;

    /**
     * 使用次数
     */
    private Long usageCnt;
}
