package com.ningdatech.carapi.archives.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/17 下午4:31
 */

@Data
@ApiModel(description = "新增试卷PO")
public class ReqSaveExamPaperPO {

    private Long id;

    @ApiModelProperty("试卷名称")
    @NotBlank
    private String examPaperName;

    @ApiModelProperty("单选题列表")
    List<ExamPaperQuestionIdPO> singleChoiceQuestionList;

    @ApiModelProperty("多项选择题列表")
    List<ExamPaperQuestionIdPO> multipleChoiceQuestionList;

    @ApiModelProperty("判断题列表")
    List<ExamPaperQuestionIdPO> judgmentalQuestionList;

    @Data
    @ApiModel
    public static class ExamPaperQuestionIdPO {

        @ApiModelProperty("题目id")
        private Long paperQuestionId;

        @ApiModelProperty("题目排序值 按从小到大排序")
        private Long sortValue;
    }

}
