package com.ningdatech.carapi.car.datascreen.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author PoffyZhang
 * @date 2022/11/16 下午2:10
 */

@Data
@ApiModel(description = "大屏中间统计数据-VO")
@NoArgsConstructor
@AllArgsConstructor
public class StatisticsCenterVO {

    public static StatisticsCenterVO of(Long dailyOverspeedTimes,Long monthlyViolationTimes,Long yearlyOutDangerTimes,
                                        Long yearlyInjuries,Long yearlyDeathToll){
        return new StatisticsCenterVO(dailyOverspeedTimes,monthlyViolationTimes,yearlyOutDangerTimes,yearlyInjuries,yearlyDeathToll);
    }

    @ApiModelProperty("日超速次数")
    private Long dailyOverspeedTimes = 0L;

    @ApiModelProperty("月违章次数")
    private Long monthlyViolationTimes = 0L;

    @ApiModelProperty("年出险次数")
    private Long yearlyOutDangerTimes = 0L;

    @ApiModelProperty("年受伤人数")
    private Long yearlyInjuries = 0L;

    @ApiModelProperty("年死亡人数")
    private Long yearlyDeathToll = 0L;
}
