package com.ningdatech.carapi.car.equipment.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.car.equipment.model.NdVehicleEquipmentJoin;
import com.ningdatech.carapi.car.equipment.mapper.NdVehicleEquipmentJoinMapper;
import com.ningdatech.carapi.car.equipment.service.INdVehicleEquipmentJoinService;
import com.ningdatech.carapi.datascope.aop.LambdaDataScope;
import com.ningdatech.carapi.datascope.contants.LambdaDataScopeTypeEnum;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class NdVehicleEquipmentJoinServiceImpl extends ServiceImpl<NdVehicleEquipmentJoinMapper, NdVehicleEquipmentJoin> implements INdVehicleEquipmentJoinService {

    private final NdVehicleEquipmentJoinMapper vehicleEquipmentJoinMapper;

    @Override
    @LambdaDataScope(type = LambdaDataScopeTypeEnum.ALL,wrapperIndex = 1)
    public Page<NdVehicleEquipmentJoin> pageJoinBaseInfo(Page<NdVehicleEquipmentJoin> page, LambdaQueryWrapper<NdVehicleEquipmentJoin> wrapper) {
        return vehicleEquipmentJoinMapper.pageJoinBaseInfo(page,wrapper);
    }
}
