package com.ningdatech.carapi.car.monitor.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 报警预警表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-12-06
 */
@TableName("nd_data_access_alarm_warn")
@ApiModel(value = "DataAccessAlarmWarn对象", description = "报警预警表")
@Data
public class DataAccessAlarmWarn implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("发起报警平台的唯一编号")
    private String platformId;

    @ApiModelProperty("报警类型，详情参考jtt809-809表3-4")
    private Integer warnType;

    @ApiModelProperty("报警时间")
    private LocalDateTime warnTime;

    @ApiModelProperty("事件开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("事件结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("车牌号码")
    private String vehicleNo;

    @ApiModelProperty("车牌颜色")
    private Integer vehicleColor;

    @ApiModelProperty("被报警平台的唯一编号")
    private String platformId1;

    @ApiModelProperty("线路ID")
    private String drvLineId;

    @ApiModelProperty("报警预警内容")
    private String content;

    @ApiModelProperty("是否是主动上报 0：下发 1：主动上报")
    private Boolean isActiveReport;

    @ApiModelProperty("发起报警的序列号 （可能分为开始结束）")
    private Integer msgSeq;

    @ApiModelProperty("处理结果")
    private Integer resultCode;

    @ApiModelProperty("报警唯一序号")
    private Long alarmMsgSn;

    @ApiModelProperty("0: 瞬时报警; 1:报警开始; 2: 报警结束 ")
    private Integer eventStatus;

    @ApiModelProperty("0: 无文件 1: 有文件等待下发 2：已下发 3:已上报 ")
    private Boolean fileReport;

    @ApiModelProperty("平台id")
    private Long gnssCenterId;

    @ApiModelProperty("告警类型")
    private Integer bgType;

    @ApiModelProperty("告警级别")
    private Integer grade;

    @ApiModelProperty("速度")
    private Integer speed;

    @ApiModelProperty("告警地点")
    private String address;
}
