package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专用车辆超速日报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@TableName("nd_rpt_daily_special_vehicles_overspeed")
@Data
@ApiModel(value = "RptDailySpecialVehiclesOverspeed对象", description = "专用车辆超速日报")
public class RptDailySpecialVehiclesOverspeed implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("20%-50%车辆数")
    private Long overspeed2050VehicleNums;

    @ApiModelProperty("超速50%以上的车辆")
    private Long overspeed50VehicleNums;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;
}
