package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专用车辆超速记录 其它报表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@TableName("nd_rpt_other_special_overspeed")
@Data
@ApiModel(value = "RptOtherSpecialOverspeed对象", description = "专用车辆超速记录 其它报表")
public class RptOtherSpecialOverspeed implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("超速开始时间")
    private LocalDateTime overspeedStartTime;

    @ApiModelProperty("超速结束时间")
    private LocalDateTime overspeedEndTime;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("限速")
    private BigDecimal limitSpeed;

    @ApiModelProperty("最高速")
    private BigDecimal maxSpeed;

    @ApiModelProperty("超速率")
    private Double overspeedRate;

    @ApiModelProperty("持续时间 秒")
    private Integer duration;

    @ApiModelProperty("地点")
    private String address;

    @ApiModelProperty("道路")
    private String road;

    @ApiModelProperty("经纬度")
    private String longtitudeLatitude;
}
