package com.ningdatech.carapi.car.rpt.model.po;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 专用车辆企业上线率低于60日报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Data
@ApiModel(value = "RptDailySpecialVehiclesCompanyLaunchRate60PO", description = "专用车辆企业上线率低于60日报")
public class RptDailySpecialVehiclesCompanyLaunchRate60PO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆总数")
    @ExcelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("监控车辆数")
    @ExcelProperty("监控车辆数")
    private Long monitoredVehicleNums;

    @ApiModelProperty("未监控车辆数")
    @ExcelProperty("未监控车辆数")
    private Long unmonitoredVehicleNums;

    @ApiModelProperty("上线率")
    @ExcelProperty("上线率")
    private BigDecimal launchRate;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("企业id")
    @ExcelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("企业名")
    @ExcelProperty("企业名")
    private String companyName;
}
