package com.ningdatech.carapi.car.rpt.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 专用车辆超速日报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@ApiModel(value = "RptDailySpecialVehiclesOverspeedVO", description = "专用车辆超速日报")
@Data
public class RptDailySpecialVehiclesOverspeedVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("车辆总数")
    @ExcelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("20%-50%车辆数")
    @ExcelProperty("20%-50%车辆数")
    private Long overspeed2050VehicleNums;

    @ApiModelProperty("超速50%以上的车辆")
    @ExcelProperty("超速50%以上的车辆")
    private Long overspeed50VehicleNums;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;
}
