package com.ningdatech.carapi.car.rpt.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 专用车辆超速月对比
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Data
@ApiModel(value = "RptMonthOverspeedSpecialVehiclesVO", description = "专用车辆超速月对比")
public class RptMonthOverspeedSpecialVehiclesVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("本月超速次数")
    @ExcelProperty("本月超速次数")
    private Long overspeedCurrentTimes;

    @ApiModelProperty("企业车辆数")
    @ExcelProperty("企业车辆数")
    private Long vehicleNums;

    @ApiModelProperty("超速率")
    @ExcelProperty("超速率")
    private BigDecimal maxOverspeedRate;

    @ApiModelProperty("上月超速次数")
    @ExcelProperty("上月超速次数")
    private Long overspeedLastTimes;
}
