package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherSpecialOverspeed;
import com.ningdatech.carapi.car.rpt.mapper.RptOtherSpecialOverspeedMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherSpecialOverspeedPO;
import com.ningdatech.carapi.car.rpt.service.IRptOtherSpecialOverspeedService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆超速记录 其它报表 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptOtherSpecialOverspeedServiceImpl extends ServiceImpl<RptOtherSpecialOverspeedMapper, RptOtherSpecialOverspeed> implements IRptOtherSpecialOverspeedService {

    private final RptOtherSpecialOverspeedMapper mapper;

    @Override
    @XmlDataScope
    public List<RptOtherSpecialOverspeedPO> report(RptOtherParamDTO param) {
        return mapper.report(param);
    }

    @Override
    @XmlDataScope
    public Page<RptOtherSpecialOverspeedPO> reportPage(Page<RptOtherSpecialOverspeedPO> page, RptOtherParamDTO param) {
        return mapper.reportPage(page,param);
    }
}
