package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptTendaysSpecialOfflineWeek;
import com.ningdatech.carapi.car.rpt.mapper.RptTendaysSpecialOfflineWeekMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptTendaysOfflineWeekSpecialParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptTendaysSpecialOfflineWeekPO;
import com.ningdatech.carapi.car.rpt.service.IRptTendaysSpecialOfflineWeekService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆一周以上不上线旬报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptTendaysSpecialOfflineWeekServiceImpl extends ServiceImpl<RptTendaysSpecialOfflineWeekMapper, RptTendaysSpecialOfflineWeek> implements IRptTendaysSpecialOfflineWeekService {

    private final RptTendaysSpecialOfflineWeekMapper mapper;

    @Override
    @XmlDataScope
    public List<RptTendaysSpecialOfflineWeekPO> report(RptTendaysOfflineWeekSpecialParamDTO param) {
        return mapper.report(param);
    }

    @Override
    @XmlDataScope
    public Page<RptTendaysSpecialOfflineWeekPO> reportPage(Page<RptTendaysSpecialOfflineWeekPO> page, RptTendaysOfflineWeekSpecialParamDTO param) {
        return mapper.reportPage(page,param);
    }
}
