package com.ningdatech.carapi.car.trips.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 车辆单趟记录
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@TableName("nd_vehicle_trips")
@Data
@ApiModel(value = "VehicleTripsCity", description = "车辆趟次记录")
public class VehicleTripsCity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆趟次数")
    private Long vehicleTripsNums;

    @ApiModelProperty("发生日期")
    @TableField(exist = false)
    private LocalDateTime happenDate;

    @ApiModelProperty("区域ID")
    @TableField(exist = false)
    private Long regionId;
}
