package com.ningdatech.carapi.car.vehicle.model.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * 车辆档案
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "VehicleArchivesPageQuery", description = "车辆档案")
public class VehicleArchivesPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carPlate;

    /**
     * 所属企业名
     */
    @ApiModelProperty(value = "所属企业名")
    private String companyName;

    /**
     * 使用企业ID
     */
    @ApiModelProperty(value = "使用企业ID")
    private Long useCompanyId;

    /**
     * 使用企业名
     */
    @ApiModelProperty(value = "使用企业名")
    private String useCompanyName;

    /**
     * 所属企业ID
     */
    @ApiModelProperty(value = "所属企业ID")
    private Long companyId;

    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "车辆类型")
    private Integer vehicleType;

    /**
     * 所属区域id
     */
    @ApiModelProperty(value = "所属区域id")
    private Long regionId;


    /**
     * 运营商名
     */
    @ApiModelProperty(value = "运营商名")
    private String operatorName;

    @ApiModelProperty("审核类型 1.待审核 2.已审核 3.审核不通过")
    private Integer auditType;

    @ApiModelProperty("车辆状态")
    private Integer vehicleStatus;

    @ApiModelProperty("企业列表")
    private List<Long> companyIdList;

    @ApiModelProperty("是否显示没有所属企业车辆")
    private Boolean showWithoutCompany;


}
