package com.ningdatech.carapi.car.vehicle.model.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 实体类
 * 车辆信息审核
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "VehicleAuditDTO", description = "车辆信息审核")
public class VehicleAuditDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "车俩ID",required = true)
    @NotNull(message = "请传车辆id!")
    private Long id;

    @ApiModelProperty(value = "审核状态 2.审核通过 3.审核不通过",required = true)
    @NotNull(message = "请传审核状态!")
    private Integer auditState;

    @ApiModelProperty(value = "审核意见")
    private String auditMind;
}
