package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.sql.Timestamp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 企业公共信用信息
 * </p>
 *
 * @author liushuai
 * @since 2022-10-25
 */
@TableName("nd_company_common_credit")
@ApiModel(value = "CompanyCommonCredit对象", description = "企业公共信用信息")
@Data
public class CompanyCommonCredit implements Serializable {

    private static final long serialVersionUID = 1260840521011159951L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("失信情况（0-失信，1-否）")
    private String blackList;

    @ApiModelProperty("失信内容")
    private String blackListContent;

    @ApiModelProperty("纠纷内容")
    private String disputeContent;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改人")
    private String updateBy;

    @ApiModelProperty("创建日期")
    private Timestamp createOn;

    @ApiModelProperty("更新时间")
    private Timestamp updateOn;
}
