package com.ningdatech.carapi.company.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 安全生产制度执行
 * </p>
 *
 * @author CMM
 * @since 2023-05-24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("nd_company_security_product_execute_file")
@ApiModel(value = "CompanySecurityProductExecuteFile对象", description = "安全生产制度执行")
public class CompanySecurityProductExecute implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("通报名称")
    private String fileName;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("文件ID")
    private Long fileId;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("修改人")
    private Long updateBy;

    @ApiModelProperty("创建日期")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;
}
