package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 信用等级
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_credit_level")
@Data
public class NdCompanyCreditLevel implements Serializable {

    private static final long serialVersionUID = -9064829467713108944L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("年度")
    private String year;

    @ApiModelProperty("信用等级")
    private String level;

    @ApiModelProperty("企业信用评价总分")
    private Integer score;

    @ApiModelProperty("公共信用评价分值 300分")
    private Integer commonCreditScore;

    @ApiModelProperty("基本管理信用分值 120分")
    private Integer basicCreditScore;

    @ApiModelProperty("安全生产管理信用分值 240分")
    private Integer safeProductCreditScore;

    @ApiModelProperty("行业监管信用分值 240分")
    private Integer industryRegulateCreditScore;

    @ApiModelProperty("行业荣誉加分 100分")
    private Integer industryHonorBonus;
    @ApiModelProperty("政府部门嘉奖分值 50分")
    private Integer governmentAwardScore;
    @ApiModelProperty("行业标杆分值 50分")
    private Integer industryBenchMarkScore;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private Timestamp createOn;

    /**
     * 更新时间
     */
    private Timestamp updateOn;
}
