package com.ningdatech.carapi.company.entity.dto;

import java.time.LocalDateTime;

import javax.validation.constraints.NotNull;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Classname CompanySecurityProductSystemParam
 * @Description
 * @Date 2023/5/23 16:23
 * @Author PoffyZhang
 */
@Data
public class CompanySecurityProductRegulationParam extends PagePo {

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("主管单位名称")
    private String companyName;

    /**
     * @link SecurityProductRegulationFileType
     */
    @ApiModelProperty("文件类型")
    @NotNull(message = "文件类型不能为空!")
    private Integer fileType;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;
}
