package com.ningdatech.carapi.company.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyQualityManage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.company.entity.dto.ResQualityManageDTO;
import com.ningdatech.carapi.company.entity.po.CompanyQualityPO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 质量通报 Mapper 接口
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface NdCompanyQualityManageMapper extends BaseMapper<NdCompanyQualityManage> {
    /**
     * 获取分页数据
     *
     * @param managePage 分页
     * @param
     * @return 分页数据
     */
    Page<ResQualityManageDTO> qualityManageList(Page<ResQualityManageDTO> managePage,
                                                @Param("po") CompanyQualityPO po);

    int incrementDownCount(@Param("id") Long id);

    Page<ResQualityManageDTO> qualityAllManageList(Page<ResQualityManageDTO> page, @Param("po") CompanyQualityPO po);
}
