package com.ningdatech.carapi.company.service;

import java.time.LocalDateTime;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.CompanyVehicleNotGetOn;
import com.ningdatech.carapi.company.entity.dto.ReqNotGetOnCarDTO;
import com.ningdatech.carapi.company.entity.po.CompanyVehicleNotGetOnPO;

/**
 * <p>
 * 上车表 服务类
 * </p>
 *
 * @author CMM
 * @since 2023-01-10
 */
public interface ICompanyVehicleNotGetOnService extends IService<CompanyVehicleNotGetOn> {

    /**
     * 查询企业车辆未扫码行驶记录
     * @param param
     * @return
     */
    List<CompanyVehicleNotGetOnPO> getNotOnCarList(ReqNotGetOnCarDTO param);

    String checkDataExistByDay(LocalDateTime queryTime);

    void saveBatchNotGetOnList(List<CompanyVehicleNotGetOn> singleList);
}
