package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyBlackList;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.CompanyCreditBlackListPageParam;
import com.ningdatech.carapi.company.entity.dto.ResCompanyBlackDetailListDTO;
import com.ningdatech.carapi.company.entity.dto.ResCompanyBlackListDTO;

import java.util.List;

/**
 * <p>
 * 企业失信名单 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanyBlackListService extends IService<NdCompanyBlackList> {

    /**
     * 获取失信名单
     *
     * @param param
     * @return 失信名单
     */
    Page<ResCompanyBlackListDTO> companyBlackList(CompanyCreditBlackListPageParam param);

    /**
     * 获取失信详情
     *
     * @param companyId 公司id
     * @return 失信详情
     */
    List<ResCompanyBlackDetailListDTO> companyBlackInfoList(Long companyId);
}
