package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanySecurityProductRegulations;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.ResSecurityProductRegulationsDTO;

/**
 * <p>
 * 安全生产制度体系 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanySecurityProductRegulationsService extends IService<NdCompanySecurityProductRegulations> {

    /**
     * 获取制度体系
     * @param regulationsName 制度名称
     * @param competentDepartment 主管部门
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param pageNum 当前页
     * @param pageSize 页面大小
     * @return 列表
     */
    Page<ResSecurityProductRegulationsDTO> securityProductRegulationsList(String regulationsName, String competentDepartment, String startTime,
                                                                          String endTime, Integer fileType, int pageNum, int pageSize);
}
