package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-24
 */
@Data
@TableName("nd_certificate")
@ApiModel(value = "Certificate对象", description = "")
public class Certificate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("驾驶员合格证表")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员用户id")
    private Long userId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("出生年月")
    private LocalDateTime birth;

    @ApiModelProperty("性别")
    private Integer gender;

    @ApiModelProperty("籍贯")
    private String nativePlace;

    @ApiModelProperty("健康状况")
    private String health;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("住址")
    private String address;

    @ApiModelProperty("驾驶证类型")
    private String driverLicenseType;

    @ApiModelProperty("驾驶证号")
    private String driverLicenseNo;

    @ApiModelProperty("合格证编号")
    private String certificateNo;

    @ApiModelProperty("发证单位")
    private String issuedBy;

    @ApiModelProperty("发证日期")
    private LocalDateTime issueDate;

    @ApiModelProperty("有效期至")
    private LocalDateTime expiryDate;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;
}
