package com.ningdatech.carapi.driver.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Set;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 *  @description
 * @since 2022/12/02 17:08
 */
@Data
@ApiModel(description = "驾驶员异常行为分析PARAM DTO")
public class DriverAbnormalBehaviorAnalysisPageParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = -7881235564388790588L;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty(value = "告警级别",allowableValues = "1 预警,2 报警")
    private Integer level;

    @ApiModelProperty("告警级别名称")
    private Integer alarmLevelName;

    @ApiModelProperty(value = "告警类型")
    private List<Integer> alarmType;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "处理状态",allowableValues = "0 待处理,1 已处理")
    private Integer processingStatus;

    @ApiModelProperty(value = "督办状态",allowableValues = "0 待督办,1 已督办")
    private Integer overseeStatus;

    @ApiModelProperty("系统车牌号列表")
    private Set<String> carPlateList;

}
