package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-20
 */
@Data
@TableName("nd_training_registration_review")
@ApiModel(value = "TrainingRegistrationReview对象", description = "")
public class TrainingRegistrationReview implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    private Long updateBy;

    @ApiModelProperty("驾驶员用户id")
    private Long driverUserId;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员姓名冗余字段")
    private String driverName;

    @ApiModelProperty("身份证号")
    private String driverIdCard;

    @ApiModelProperty("驾驶员手机号")
    private String driverPhoneNo;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("公司所属区域")
    private Long regionId;

    @ApiModelProperty("培训类型")
    private String registrationType;

    @ApiModelProperty("审核状态")
    private String approvalStatus;

    @ApiModelProperty("附件信息json")
    private String appendixListJson;

    @ApiModelProperty("meta审核id")
    private Long metaApplyId;

    @ApiModelProperty("meta审核类型")
    private String metaApplyType;

    @ApiModelProperty("审核员结果意见附件")
    private String auditAppendixListJson;

    @ApiModelProperty("初复审关联ID")
    private Long preliminaryReviewAssociatedId;

}
