package com.ningdatech.carapi.driver.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/10/21 下午4:08
 */
@Data
@ApiModel("培训人员信息")
public class TrainingTrainersInfo {

    @NotNull(message = "驾驶员id 不能为空")
    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @NotNull(message = "驾驶员用户id 不能为空")
    @ApiModelProperty("驾驶员用户id")
    private Long driverUserId;

    @NotBlank(message = "驾驶员姓名 不能为空")
    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @NotBlank(message = "驾驶员所属企业id 不能为空")
    @ApiModelProperty("驾驶员所属企业id")
    private Long companyId;

    @NotBlank(message = "驾驶员所属企业 不能为空")
    @ApiModelProperty("驾驶员所属企业")
    private String companyName;
}
