package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.carapi.driver.constant.TrainingTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/11/3 下午3:11
 */
@Data
@ApiModel(value = "获取当前培训组织PO")
public class ReqCurrentUserOrganizationPO {

    /**
     * 培训类型 取证培训/继续教育/换证培训/转码培训
     * {@link TrainingTypeEnum}
     */
    @NotNull(message = "培训类型不能为空")
    @ApiModelProperty(value = "培训类型 取证培训/继续教育/换证培训/转码培训", allowableValues = "forensic_registration_training 取证报名,replacement_registration_training 换证报名 ,continuing_education_training 继续教育,transcoding_training 转码培训")
    private TrainingTypeEnum trainingType;

}
