package com.ningdatech.carapi.driver.model.po;

import java.util.List;

import javax.validation.constraints.NotNull;

import com.ningdatech.carapi.common.model.FileBasicInfo;
import com.ningdatech.carapi.driver.constant.TrainingRegistrationTypeEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/15 上午9:11
 */
@ApiModel(description = "驾驶员培训初审结果请求PO")
@Data
public class ReqDriverTrainingPreliminaryTrialPO {

    @NotNull(message = "审核id 不能为空")
    @ApiModelProperty("审核id")
    private Long metaApplyId;

    @NotNull(message = "驾驶员id 不能为空")
    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @NotNull(message = "培训类型 不能为空")
    @ApiModelProperty("培训类型")
    private TrainingRegistrationTypeEnum trainingRegistrationType;

    @NotNull(message = "审核结果不能为空")
    @ApiModelProperty("审核结果")
    private Boolean result;

    @ApiModelProperty("审核意见")
    private String opinion;

    @ApiModelProperty("附件")
    private List<FileBasicInfo> appendixList;

}
