package com.ningdatech.carapi.driver.model.po;

import javax.validation.constraints.NotNull;

import com.ningdatech.carapi.driver.constant.TrainingRegistrationTypeEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/20 下午5:52
 */

@Data
@ApiModel(description = "获取驾驶员档案审核详情PO")
public class ReqGetArchivalInfoReviewDetailPO {

    @ApiModelProperty("驾驶员id")
    @NotNull(message = "驾驶员id不能为空")
    private Long driverId;

    @NotNull(message = "培训报名类型不能为空")
    @ApiModelProperty(value = "培训报名类型", allowableValues = "FORENSIC_REGISTRATION 取证报名,JOB_APPLICATION 跳槽申请,REPLACEMENT_REGISTRATION 换证报名,CONTINUING_EDUCATION 继续教育")
    private TrainingRegistrationTypeEnum trainingRegistrationType;

    @ApiModelProperty("培训报名id")
    private Long trainingRegistrationReviewId;

    @ApiModelProperty("审核ID")
    private Long metaApplyId;

}
