package com.ningdatech.carapi.driver.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/11/4 上午9:49
 */
@Data
@ApiModel("驾驶员奖励分数")
public class ReqScoreBonusPO {

    @NotNull
    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @NotBlank
    @ApiModelProperty("材料类型")
    private String materialType;

    @NotNull
    @ApiModelProperty("培训材料id")
    private Long trainingMaterialId;

    @NotNull
    @ApiModelProperty("培训组织id")
    private Long trainingOrganizationId;

    @NotBlank
    @ApiModelProperty(value = "行为类型", allowableValues = "watch_video 观看视频,watch_profile 观看材料")
    private String behaviorType;
}
