package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.carapi.driver.constant.TrainingModeEnum;
import com.ningdatech.carapi.driver.constant.TrainingTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/11 上午10:25
 */
@Data
@ApiModel(description = "培训组织列表查询PO")
public class ReqTrainingOrganizationListPO extends PagePo {

    @ApiModelProperty("培训主题")
    private String trainingTopic;

    @ApiModelProperty("培训地点")
    private String address;

    /**
     * 培训模式 线上/线下
     * {@link TrainingModeEnum}
     */
    @ApiModelProperty(value = "培训模式 线上/线下", allowableValues = "online,offline")
    private TrainingModeEnum trainingMode;

    @ApiModelProperty("培训区域id")
    private Long regionId;

    /**
     * 培训类型 取证培训/继续教育/换证培训/转码培训
     * {@link TrainingTypeEnum}
     */
    @ApiModelProperty(value = "培训类型 取证培训/继续教育/换证培训/转码培训", allowableValues = "forensic_registration_training 取证报名,replacement_registration_training 换证报名 ,continuing_education_training 继续教育,transcoding_training 转码培训")
    private List<String> trainingTypeList;
}
