package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.driver.constant.TrainingRegistrationTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/10/12 下午5:19
 */

@Data
@ApiModel(description = "培训报名列表筛选")
public class ResDriverTrainingRegistrationListVO {

    @ApiModelProperty("培训报名id")
    private Long trainingRegistrationReviewId;

    @ApiModelProperty("初审复审关联id")
    private Long preliminaryReviewAssociatedId;

    @ApiModelProperty("meta审核id")
    private Long metaApplyId;

    @ApiModelProperty(value = "meta审核状态",
            allowableValues = "FIRST_TRIAL_UNDER_REVIEW 材料初审中," +
                    "REEXAMINATION_UNDER_REVIEW 材料复核中," +
                    "FIRST_TRIAL_APPROVED 材料初审通过," +
                    "REEXAMINATION_APPROVED 材料复核通过," +
                    "FIRST_TRIAL_APPROVAL_REJECTION 材料初审驳回," +
                    "REEXAMINATION_APPROVAL_REJECTION 材料复核驳回")
    private String metaApplyStatus;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("所属企业id")
    private Long companyId;

    @ApiModelProperty("所属企业名称")
    private String companyName;

    @ApiModelProperty("所属区域id")
    private Long regionId;

    @ApiModelProperty("所属区域展示名称")
    private String regionName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "培训报名类型", allowableValues = "FORENSIC_REGISTRATION 取证报名,REPLACEMENT_REGISTRATION 换证报名,CONTINUING_EDUCATION 继续教育")
    @NotNull(message = "培训报名类型不能为空")
    private TrainingRegistrationTypeEnum trainingRegistrationType;


}
