package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 异常GPS数据监控
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@TableName("nd_data_quality_monitor_dynamics")
@Data
@ApiModel(value = "DataQualityMonitorDynamics对象", description = "动态数据监控")
public class DataQualityMonitorDynamics extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("0正常 1异常")
    private Integer state;

    @ApiModelProperty("驾驶员ID")
    private Long driverId;

    @ApiModelProperty("驾驶员名字")
    private String driverName;

    @ApiModelProperty("数据时间")
    private LocalDateTime dataTime;
}
