package com.ningdatech.carapi.industry.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 实验室验收合格证换证
 * </p>
 *
 * @author CMM
 * @since 2022-12-16
 */
@TableName("nd_lab_acceptance_certificate_change")
@Data
@ApiModel(value = "LabAcceptanceCertificateChange对象", description = "实验室验收合格证换证")
public class LabAcceptanceCertificateChange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("备案项目")
    private String recordItem;

    @ApiModelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("发证时间")
    private LocalDate conferDate;

    @ApiModelProperty("有效时间")
    private LocalDate validDate;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("发证机关")
    private String conferOrg;

    @ApiModelProperty("检测项目")
    private String testItem;

    @ApiModelProperty("执行标准")
    private String standard;

    @ApiModelProperty("换证时间(审核通过)")
    private LocalDate replacementTime;

    @ApiModelProperty("申请事项")
    private String applicationItem;

    @ApiModelProperty("申请原因")
    private String applicationReason;
}
