package com.ningdatech.carapi.industry.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-01-04
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("nd_operator_score_info")
@ApiModel(value = "运营商考核分数对象", description = "")
public class OperatorScoreInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("运营商id")
    private Long operatorId;

    @ApiModelProperty("运营商名称")
    private String operatorName;

    @ApiModelProperty("上传资质分数")
    private Integer uploadQualification;

    @ApiModelProperty("上传频率、数量分数")
    private Integer uploadFrequencyQuantity;

    @ApiModelProperty("字段完整性分数")
    private Integer fieldIntegrity;

    @ApiModelProperty("时效性分数")
    private Integer timeSensitive;

    @ApiModelProperty("位置及方向的正确性、一致性分数")
    private Integer positionDirectionCorrectnessConsistency;

    @ApiModelProperty("速度的正确性、一致性分数")
    private Integer speedCorrectnessConsistency;

    @ApiModelProperty("时间一致性分数")
    private Integer timeConsistency;

    @ApiModelProperty("位置一致性分数")
    private Integer positionConsistency;

    @ApiModelProperty("所属季度")
    private Integer quarter;

    @ApiModelProperty("所属年份")
    private String year;
}
