package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 通行证信息
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-05
 */
@TableName("nd_passport_info")
@Data
@ApiModel(value = "PassportInfo对象", description = "通行证信息")
public class PassportInfo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆所有人")
    private String vehicleOwner;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("可通行区域")
    private String accessibleArea;

    @ApiModelProperty("有效期")
    private LocalDateTime expirationDate;

    @ApiModelProperty("备注")
    private String remark;
}
