package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 车辆采购信息表
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-09
 */
@Data
@TableName("nd_purchase_vehicle")
@ApiModel(value = "PurchaseVehicle对象", description = "车辆采购信息表")
public class PurchaseVehicle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("车辆品牌")
    private String vehicleBrand;

    @ApiModelProperty("车辆类型")
    private String vehicleType;

    @ApiModelProperty("数量")
    private Integer number;

    @ApiModelProperty("单价")
    private BigDecimal unitPrice;

    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("采购日期")
    private LocalDate purchaseDate;

    @ApiModelProperty("采购单位")
    private String purchaseOrg;

    @ApiModelProperty("采购企业ID")
    private Long purchaseOrgId;

    @ApiModelProperty("批准部门")
    private String approvalDept;

    private Long createBy;

    private LocalDateTime createOn;

    private Long updateBy;

    private LocalDateTime updateOn;

    @ApiModelProperty("企业ID")
    private Long companyId;
}
