package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 车辆年检年审
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-05
 */
@TableName("nd_vehicle_annual_inspection_review")
@Data
@ApiModel(value = "VehicleAnnualInspectionReview对象", description = "车辆年检年审")
public class VehicleAnnualInspectionReview extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("年检记录")
    private String inspectionRecords;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型")
    private String vehicleTypeName;
}
