package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * <p>
 * GPS数据质量监控
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@Data
@ApiModel(value = "DataQualityMonitorGpsExportDTO", description = "GPS数据质量监控")
public class DataQualityMonitorGpsExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty("车牌号")
    private String carPlate;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("车辆类型")
    private String vehicleTypeName;

    @ExcelProperty("运营商")
    private String operatorName;

    @ExcelProperty("经度")
    private BigDecimal longitude;

    @ExcelProperty("纬度")
    private BigDecimal latitude;

    @ExcelProperty("速度")
    private BigDecimal velocity;

    @ExcelProperty("方向角度")
    private BigDecimal direction;

    @ExcelProperty("状态 0离线 1在线")
    private String state;

    @ExcelProperty("时间")
    private String dataTime;

    @ExcelProperty("报警")
    private String alarmName;

    @ExcelProperty("异常原因")
    private Integer abnormalCausesName;

    @ExcelProperty("备注")
    private String remark;

}
