package com.ningdatech.carapi.industry.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 驾驶员合格证
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-03
 */
@Data
@Builder
@ApiModel(value = "PassportPageParamDTO", description = "通行证分页传参")
public class PassportPageParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("企业名")
    private String companyName;
}
