package com.ningdatech.carapi.industry.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author CMM
 * @description
 * @since 2022/11/27 11:46
 */
@Data
@ApiModel("安全设备安装使用证书操作信息")
public class UseCertOperateUpdateDTO implements Serializable {
    private static final long serialVersionUID = -7585902492215261079L;

    @ApiModelProperty("id")
    @NotNull(message = "id必传！")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("终端运营商")
    private String endOperator;

    @ApiModelProperty("年检记录")
    private String annualInspectionRecords;

    @ApiModelProperty("安装凭证")
    private String installCertificate;

    @ApiModelProperty("发证日期")
    private LocalDateTime issueDate;

    @ApiModelProperty("申请状态")
    private String applicationStatus;

    @ApiModelProperty("申请事项")
    private String applicationItem;

    @ApiModelProperty("年检状态")
    private String yearCheckStatus;

    @ApiModelProperty("补换状态")
    private String replacementStatus;

    @ApiModelProperty("视频运营商")
    private String videoOperator;

    @ApiModelProperty("证书编号")
    private Long certificateNumber;
}
