package com.ningdatech.carapi.industry.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 安全设备安装使用证书信息
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Data
@ApiModel(value = "SafetyEquipmentInstallUseCertificateVO", description = "安全设备安装使用证书信息")
public class UseCertSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("终端运营商")
    private String endOperator;

    @ApiModelProperty("年检记录")
    private String annualInspectionRecords;

    @ApiModelProperty("安装凭证")
    private String installCertificate;

    @ApiModelProperty("发证日期")
    private LocalDateTime issueDate;
}
