package com.ningdatech.carapi.industry.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 静态数据质量监控
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@Data
@ApiModel(value = "DataQualityMonitorStatic对象", description = "静态数据质量监控")
public class DataQualityMonitorStaticVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("数据类型")
    private Integer dataType;

    @ApiModelProperty("数据类型名")
    private String dataTypeName;

    @ApiModelProperty("数据异常状态 0正常 1不正常")
    private Integer state;

    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("数据采集时间")
    private LocalDateTime dataTime;
}
