package com.ningdatech.carapi.industry.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * 驾驶员合格证操作
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-04
 */
@Data
@Builder
@ApiModel(value = "DriverTrainingCertificateOper", description = "驾驶员合格证操作VO")
public class DriverTrainingCertificateOperVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("驾驶员名")
    private String driverName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("培训时间")
    private LocalDateTime trainingTime;

    @ApiModelProperty("培训结果 合格")
    private String trainingResult;

    @ApiModelProperty("有效时间")
    private LocalDateTime effectiveTime;

    @ApiModelProperty("培训项目")
    private String trainingProgram;

    @ApiModelProperty("合格证id")
    private Long certificateId;

    @ApiModelProperty("操作类型 1.申请 2.补发")
    private Integer operationTypeId;

    @ApiModelProperty("操作类型")
    private String operationTypeName;

    @ApiModelProperty("审核状态 0待审核 1已审核")
    private Integer auditState;

    @ApiModelProperty("已通过")
    private String auditStateName;

    @ApiModelProperty("申请时间")
    private LocalDateTime operationTime;

    @ApiModelProperty("申请事项")
    private String application;

    @ApiModelProperty("申请原因")
    private String applicationReason;

    protected LocalDateTime createOn;
}
