package com.ningdatech.carapi.industry.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 车辆年检年审
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-05
 */
@Data
@ApiModel(value = "VehicleAnnualInspectionReviewApplicationVO", description = "车辆年检年审申请")
public class VehicleAnnualInspectionReviewApplicationVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("年检记录")
    private String inspectionRecords;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型")
    private String vehicleTypeName;

    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("操作")
    private String operation;
}
