package com.ningdatech.carapi.industry.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.industry.entity.DriverTrainingCertificateOper;
import com.ningdatech.carapi.industry.entity.DriverTrainingCertificateOperJoin;
import com.ningdatech.carapi.industry.mapper.DriverTrainingCertificateOperJoinMapper;
import com.ningdatech.carapi.industry.mapper.DriverTrainingCertificateOperMapper;
import com.ningdatech.carapi.industry.service.IDriverTrainingCertificateOperJoinService;
import com.ningdatech.carapi.industry.service.IDriverTrainingCertificateOperService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 驾驶员合格证操作 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-04
 */
@Service
@RequiredArgsConstructor
public class DriverTrainingCertificateOperJoinServiceImpl extends ServiceImpl<DriverTrainingCertificateOperJoinMapper,
        DriverTrainingCertificateOperJoin> implements IDriverTrainingCertificateOperJoinService {
    private final DriverTrainingCertificateOperJoinMapper driverTrainingCertificateOperJoinMapper;

    @Override
    public Page<DriverTrainingCertificateOperJoin> pageJoin(Page page, LambdaQueryWrapper<DriverTrainingCertificateOperJoin> wrapper) {
        return driverTrainingCertificateOperJoinMapper.pageJoin(page, wrapper);
    }

    @Override
    public DriverTrainingCertificateOperJoin getOneJoin(LambdaQueryWrapper<DriverTrainingCertificateOperJoin> wrapper) {
        return driverTrainingCertificateOperJoinMapper.getOneJoin(wrapper);
    }
}
