package com.ningdatech.carapi.irs.controller;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.carapi.irs.manage.DataInitManage;

import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * @author CMM
 * @since 2023/05/16 00:01
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/open/api/irs")
@RequiredArgsConstructor
public class IrsController {

    private final DataInitManage dataInitManage;

    @ApiOperation(value = "车牌号初始化保存", notes = "车牌号初始化保存")
    @GetMapping("/carPlate/save")
    public void carPlateSave() {
        dataInitManage.carPlateSave();
    }

    @ApiOperation(value = "日志分析保存", notes = "日志分析保存")
    @GetMapping("/log/save")
    public void logSave() {
        dataInitManage.logSave();
    }
}
