package com.ningdatech.carapi.open.controller;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.carapi.open.manage.OpenSecurityAdvisoryManage;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * @author CMM
 * @since 2023/07/04 21:47
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/open/api/security/advisory")
@Api(value = "archives", tags = "对外联调接口")
@RequiredArgsConstructor
public class OpenApiSecurityAdvisoryController {

    private final OpenSecurityAdvisoryManage openSecurityAdvisoryManage;

    @ApiOperation("批量上传安全通报")
    @GetMapping("/batchUpload")
    public String batchUpload(){
        return openSecurityAdvisoryManage.batchUpload();
    }
}
