package com.ningdatech.carapi.qrcode.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-25
 */
@Data
@TableName("nd_vehicle_get_on")
@ApiModel(value = "NdVehicleGetOn", description = "车辆档案-上车记录")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleGetOn extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("车辆ID")
    @TableField(value = "vehicle_id")
    private Long vehicleId;

    @ApiModelProperty("驾驶员ID")
    @TableField(value = "driver_id")
    private Long driverId;

    @ApiModelProperty("车牌号")
    @TableField(value = "car_plate")
    private String carPlate;

    @ApiModelProperty("驾驶员名字")
    @TableField(value = "driver_name")
    private String driverName;

    @ApiModelProperty("车辆颜色")
    @TableField(value = "plate_color")
    private String plateColor;

    @ApiModelProperty("车辆类型")
    @TableField(value = "vehicle_type")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    @TableField(value = "vehicle_type_name")
    private String vehicleTypeName;

    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    @ApiModelProperty("运营商名")
    @TableField(value = "operator_name")
    private String operatorName;

    @ApiModelProperty("公司id")
    @TableField(value = "company_id")
    private Long companyId;

    @ApiModelProperty("公司名")
    @TableField(value = "company_name")
    private String companyName;
}
