package com.ningdatech.carapi.qrcode.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 实体类
 * 车辆档案
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "VehicleGetOnPageQuery", description = "上车信息")
public class VehicleGetOnPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 上车开始时间
     */
    @ApiModelProperty(value = "上车开始时间")
    private LocalDateTime startTime;

    /**
     * 上车结束时间
     */
    @ApiModelProperty(value = "上车结束时间")
    private LocalDateTime endTime;

    /**
     * 驾驶员名
     */
    @ApiModelProperty(value = "驾驶员名")
    private String driverName;

    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carPlate;

    /**
     * 所属企业名
     */
    @ApiModelProperty(value = "所属企业名")
    private String companyName;

    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "车辆类型")
    private Integer vehicleType;

    /**
     * 所属区域id
     */
    @ApiModelProperty(value = "所属区域id")
    private Long regionId;


    /**
     * 运营商名
     */
    @ApiModelProperty(value = "运营商名")
    private String operatorName;

    @ApiModelProperty("审核类型 1.待审核 2.已审核")
    private Integer auditType;
}
