package com.ningdatech.carapi.radar.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2024-09-28
 */
@TableName("nd_radar_data")
@ApiModel(value = "RadarData对象", description = "")
@Data
public class RadarData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("推送数据的盒子ip")
    private String armIp;

    @ApiModelProperty("推送数据的雷达ip")
    private String radarIp;

    @ApiModelProperty("数据类型 1 目标数据、2 流量数据")
    private Integer dataType;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;


    //---------- 目标轨迹数据 ----------//
    @ApiModelProperty("目标所属车道")
    private String targetLane;

    @ApiModelProperty("车辆类型")
    private Integer carType;

    @ApiModelProperty("目标速度")
    private String targetSpeed;

    @ApiModelProperty("目标经度")
    private String targetLongitude;

    @ApiModelProperty("目标纬度")
    private String targetLatitude;

    //---------- 交通流量数据 ----------//
    @ApiModelProperty("实时车流量")
    private String realTimeTrafficFlow;

    @ApiModelProperty("平均车速")
    private String averageCarSpeed;

    @ApiModelProperty("最大排队长度")
    private String maxQueueLength;

}
