package com.ningdatech.carapi.radar.model.vo;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @since 2024/10/23 10:49
 */
@Data
@ApiModel(description = "道路监控驾驶舱雷达流量数据-VO")
@NoArgsConstructor
@AllArgsConstructor
public class RadarDataVO {

    @ApiModelProperty("设备编号")
    private String deviceId;

    @ApiModelProperty("上报时间")
    private String timeStamp;

    @ApiModelProperty("数据类型")
    private String dataType;

    @ApiModelProperty("目标所属车道")
    private String targetLane;

    @ApiModelProperty("车辆类型")
    private String carType;

    @ApiModelProperty("目标速度")
    private String targetSpeed;

    @ApiModelProperty("目标经度")
    private String targetLongitude;

    @ApiModelProperty("目标纬度")
    private String targetLatitude;

    @ApiModelProperty("实时车流量")
    private String realTimeTrafficFlow;

    @ApiModelProperty("平均车速")
    private String averageCarSpeed;

    @ApiModelProperty("最大排队长度")
    private String maxQueueLength;
}
