package com.ningdatech.carapi.radar.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author CMM
 * @author CMM
 * @date 2024/9/27 14:40
 * /
 * /**
 * @since 2024/09/27 14:40
 */
@Data
@Component
@ConfigurationProperties(prefix = "radar-data-task")
public class RadarDataTaskProperties {
    /**
     * 是否开启雷达数据接收
     */
    private Boolean enable;

    // 雷达盒子设备的IP地址
    // 黄山隧道-义乌方向
    private String hsYwRadarArmIp;
    // 黄山隧道-东阳方向
    private String hsDyRadarArmIp;
    // 何里隧道
    private String hlRadarArmIp;

    // 雷达盒子监听的端口号
    // 黄山隧道-义乌方向
    private Integer hsYwRadarArmPort;
    // 黄山隧道-东阳方向
    private Integer hsDyRadarArmPort;
    // 何里隧道
    private Integer hlRadarArmPort;
}
