package com.ningdatech.carapi.report.model.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/10/02 10:54
 */
@Data
public class BulkCementSupplyQueryDataExportDTO {
    @NotNull(message = "散装水泥总量不能为空")
    @Excel(name = "散装水泥总量",groupName = "本月实际")
    private BigDecimal bulkCementAmount;
    @Excel(name = "水泥产量")
    @NotNull(message = "水泥产量不能为空")
    private BigDecimal cementOutput;

    @Excel(name = "完成量",groupName = "年初至本月累计")
    @NotNull(message = "完成量不能为空")
    private BigDecimal completedTotalAmount;
    @Excel(name = "散装率")
    @NotNull(message = "散装率不能为空")
    private BigDecimal bulkRate;
    @Excel(name = "本月止累计水泥产量")
    @NotNull(message = "本月止累计水泥产量不能为空")
    private BigDecimal cumulativeCementProduction;

    @Excel(name = "增加量",groupName = "比去年同期")
    @NotNull(message = "增加量不能为空")
    private BigDecimal increment;
    @Excel(name = "增长率")
    @NotNull(message = "增长率不能为空")
    private BigDecimal increaseRate;

    @Excel(name = "单位")
    @NotNull(message = "单位不能为空")
    private String unitName;

    @Excel(name = "散装率目标")
    private BigDecimal bulkRateTarget;
}
