package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 散装水泥直报系统指标数据
 * </p>
 *
 * @author CMM
 * @since 2023-09-28
 */
@Data
@TableName("nd_bulk_cement_direct_report_system_index")
@ApiModel(value = "BulkCementDirectReportSystemIndex对象", description = "散装水泥直报系统指标数据")
public class BulkCementDirectReportSystemIndex implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("指标类型 1 散装率目标 2 二类指导目标 3 三类指导目标")
    private Integer indexType;

    @ApiModelProperty("指标名称")
    private String indexName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
