package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 混凝土供应量快报
 * </p>
 *
 * @author CMM
 * @since 2023-09-27
 */
@Data
@TableName("nd_concrete_supply_bulletin")
@ApiModel(value = "ConcreteSupplyBulletin对象", description = "混凝土供应量快报")
public class ConcreteSupplyBulletin implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("三类指导目标(万立方米)")
    private BigDecimal threeCategoryGuidGoal;

    @ApiModelProperty("生产企业数量(个)")
    private Integer productionCompanyNums;

    @ApiModelProperty("年设计生产能力(万立方米)")
    private BigDecimal annualDesignProductionCapacity;

    @ApiModelProperty("本月实际产量(立方米)")
    private BigDecimal thisMonthOutput;

    @ApiModelProperty("累计产量(立方米)")
    private BigDecimal accumulativeOutput;

    @ApiModelProperty("本月散装水泥使用量(吨)")
    private BigDecimal thisMonthCementUsage;

    @ApiModelProperty("散装水泥累计使用量(吨)")
    private BigDecimal cementAccumulativeUsage;

    @ApiModelProperty("本月废弃物综合利用量(吨)")
    private BigDecimal thisMonthWasteUtilization;

    @ApiModelProperty("累计废弃物综合利用量(吨)")
    private BigDecimal accumulativeWasteUtilization;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域ID")
    private Long companyId;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态 1 审核中 2 审核通过 3 被退回 4 待上报")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
