package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 散装水泥、预拌混凝土、干混砂浆物流装备统计年报表
 * </p>
 *
 * @author CMM
 * @since 2023-09-27
 */
@Data
@TableName("nd_material_logistic_equipment_statistic_annual_report")
@ApiModel(value = "MaterialLogisticEquipmentStatisticAnnualReport对象", description = "散装水泥、预拌混凝土、干混砂浆物流装备统计年报表")
public class MaterialLogisticEquipmentStatisticAnnualReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("地区")
    private String regionName;

    @ApiModelProperty("装备名称")
    private String equipmentName;

    @ApiModelProperty("年初数量(辆、个)")
    private Integer yearBeginNum;

    @ApiModelProperty("年初额定量(吨、立方米)")
    private BigDecimal yearBeginNominalRate;

    @ApiModelProperty("本年新增数量")
    private Integer thisYearNewAddNum;

    @ApiModelProperty("本年新增额定量")
    private BigDecimal thisYearNewAddNominalRate;

    @ApiModelProperty("本年减少数量")
    private Integer thisYearDecreaseNum;

    @ApiModelProperty("本年减少额定量")
    private BigDecimal thisYearDecreaseNominalRate;

    @ApiModelProperty("年末数量")
    private Integer yearEndNum;

    @ApiModelProperty("年末额定量")
    private BigDecimal yearEndNominal;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态 1 审核中 2 审核通过 3 被退回 4 待上报")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
