package com.ningdatech.carapi.report.model.po;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "散装水泥供应量上报数据")
public class ReqBulkCementSupplyDataUploadPO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("散装水泥总量")
    private BigDecimal bulkCementAmount;

    @ApiModelProperty("水泥产量")
    private BigDecimal cementOutput;

    @ApiModelProperty("年初至本月累计完成总量")
    private BigDecimal completedTotalAmount;

    @ApiModelProperty("年初至本月累计散装率")
    private BigDecimal bulkRate;

    @ApiModelProperty("年初至本月累计 比去年同期 增加量")
    private BigDecimal increment;

    @ApiModelProperty("年初至本月累计 比去年同期 增长率")
    private BigDecimal increaseRate;

    @ApiModelProperty("本月止累计水泥产量")
    private BigDecimal cumulativeCementProduction;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;
}
