package com.ningdatech.carapi.report.model.po;

import java.time.LocalDateTime;

import com.ningdatech.carapi.report.model.dto.ReqMaterialLogEquipStaDataUploadDTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "散装水泥、预拌混凝土、干混砂浆物流装备统计年报上报数据")
public class ReqMaterialLogEquipStaDataUploadPO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("专用汽车上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO specialVehicleData;

    @ApiModelProperty("专用船上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO specialVesselData;

    @ApiModelProperty("散装水泥罐上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO bulkCementTankData;

    @ApiModelProperty("混凝土搅拌车上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO concreteMixerTruckData;

    @ApiModelProperty("混凝土泵车上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO concretePumpTruckData;

    @ApiModelProperty("干混砂浆运输车上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO dryMixMortarTruckData;

    @ApiModelProperty("干混砂浆移动简仓上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO dryMixMortarMovingStorageData;

    @ApiModelProperty("干混砂浆背罐车上报数据")
    private ReqMaterialLogEquipStaDataUploadDTO dryMixMortarBackTankCarData;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("上报年份")
    private Integer reportYear;
}
