package com.ningdatech.carapi.report.model.po;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "砂浆供应量上报数据")
public class ReqMortarSupplyDataUploadPO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("地区名称")
    private String regionName;

    @ApiModelProperty("二类指导目标(万吨)")
    private BigDecimal twoCategoryGuidGoal;

    @ApiModelProperty("普通干混砂浆生产企业数量(个)")
    private Integer dryMixedMortarProductionCompanyNum;

    @ApiModelProperty("普通干混砂浆生产总能力(万吨)")
    private BigDecimal dryMixedMortarProductiveCapacity;

    @ApiModelProperty("普通干混砂浆散装能力(万吨)")
    private BigDecimal dryMixedMortarBulkCapacity;

    @ApiModelProperty("本月总产量(吨)")
    private BigDecimal thisMonthTotalOutput;

    @ApiModelProperty("本月累计产量(吨)")
    private BigDecimal thisMonthAccumulativeOutput;

    @ApiModelProperty("普通干混砂浆本月产量(吨)")
    private BigDecimal dryMixedMortarThisMonthOutput;

    @ApiModelProperty("普通干混砂浆累计产量(吨)")
    private BigDecimal dryMixedMortarThisMonthAccumulativeOutput;

    @ApiModelProperty("普通干混砂浆同比增长量(吨)")
    private BigDecimal dryMixedMortarIncrement;

    @ApiModelProperty("普通干混砂浆增长率(%)")
    private BigDecimal dryMixedMortarGrowthRate;

    @ApiModelProperty("普通干混砂浆本月散装量(吨)")
    private BigDecimal dryMixedMortarThisMonthBulkQuantity;

    @ApiModelProperty("普通干混砂浆累计散装量(吨)")
    private BigDecimal dryMixedMortarAccumulativeBulkQuantity;

    @ApiModelProperty("湿拌砂浆本月产量(立方)")
    private BigDecimal wetMortarThisMonthOutput;

    @ApiModelProperty("湿拌砂浆累计产量(立方)")
    private BigDecimal wetMortarAccumulativeOutput;

    @ApiModelProperty("散装水泥本月使用量(吨)")
    private BigDecimal bulkCementThisMonthUsage;

    @ApiModelProperty("散装水泥累计使用量(吨)")
    private BigDecimal bulkCementAccumulativeUsage;

    @ApiModelProperty("废弃物本月综合利用量(吨)")
    private BigDecimal wasteThisMonthComprehensiveUtilization;

    @ApiModelProperty("废弃物累计综合利用量(吨)")
    private BigDecimal wasteAccumulativeComprehensiveUtilization;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;
}
