package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("温台舟使用量数据上报详情VO")
public class ResBulkCementThreeCityUsageDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("年目标")
    private BigDecimal yearTarget;
    @ApiModelProperty("当前市年目标合计")
    private BigDecimal yearTargetTotal;

    @ApiModelProperty("占全年目标百分比")
    private BigDecimal percentageOfAnnualTarget;
    @ApiModelProperty("当前市占全年目标百分比合计")
    private BigDecimal percentageOfAnnualTargetTotal;

    @ApiModelProperty("本月使用量")
    private BigDecimal thisMonthUsage;
    @ApiModelProperty("当前市本月使用量合计")
    private BigDecimal thisMonthUsageTotal;

    @ApiModelProperty("累计使用量")
    private BigDecimal accumulativeUsage;
    @ApiModelProperty("当前市累计使用量合计")
    private BigDecimal accumulativeUsageTotal;

    @ApiModelProperty("同比增长率")
    private BigDecimal growthRate;
    @ApiModelProperty("当前市同比增长率合计")
    private BigDecimal growthRateTotal;

    @ApiModelProperty("本省本月使用量")
    private BigDecimal thisProvinceThisMonthUsage;
    @ApiModelProperty("当前市本省本月使用量合计")
    private BigDecimal thisProvinceThisMonthUsageTotal;

    @ApiModelProperty("本省累计使用量")
    private BigDecimal thisProvinceAccumulativeUsage;
    @ApiModelProperty("当前市本省累计使用量合计")
    private BigDecimal thisProvinceAccumulativeUsageTotal;

    @ApiModelProperty("外省本月使用量")
    private BigDecimal otherProvinceThisMonthUsage;
    @ApiModelProperty("当前市外省本月使用量合计")
    private BigDecimal otherProvinceThisMonthUsageTotal;

    @ApiModelProperty("外省累计使用量")
    private BigDecimal otherProvinceAccumulativeUsage;
    @ApiModelProperty("当前市外省累计使用量合计")
    private BigDecimal otherProvinceAccumulativeUsageTotal;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
