package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("中转库进出量数据上报详情VO")
public class ResBulkCementTransferDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("上月末库存")
    private BigDecimal lastMonthEndInventory;
    @ApiModelProperty("当前市上月末库存合计")
    private BigDecimal lastMonthEndInventoryTotal;

    @ApiModelProperty("本月进库量")
    private BigDecimal thisMonthIncomingStorage;
    @ApiModelProperty("当前市本月进库量合计")
    private BigDecimal thisMonthIncomingStorageTotal;

    @ApiModelProperty("累计进库量")
    private BigDecimal cumulativeIncomingStorage;
    @ApiModelProperty("当前市累计进库量合计")
    private BigDecimal cumulativeIncomingStorageTotal;

    @ApiModelProperty("本月出库量")
    private BigDecimal thisMonthOutgoingStorage;
    @ApiModelProperty("当前市本月出库量合计")
    private BigDecimal thisMonthOutgoingStorageTotal;

    @ApiModelProperty("累计出库量")
    private BigDecimal cumulativeOutgoingStorage;
    @ApiModelProperty("当前市累计出库量合计")
    private BigDecimal cumulativeOutgoingStorageTotal;

    @ApiModelProperty("月末库存量")
    private BigDecimal monthEndInventory;
    @ApiModelProperty("当前市月末库存量合计")
    private BigDecimal monthEndInventoryTotal;

    @ApiModelProperty("月末库存同比增长率")
    private BigDecimal monthEndInventoryGrowthRate;
    @ApiModelProperty("当前市月末库存同比增长率合计")
    private BigDecimal monthEndInventoryGrowthRateTotal;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
