package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("混凝土供应量数据上报详情VO")
public class ResConcreteSupplyDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("三类指导目标(万立方米)")
    private BigDecimal threeCategoryGuidGoal;
    @ApiModelProperty("当前市三类指导目标(万立方米)合计")
    private BigDecimal threeCategoryGuidGoalTotal;

    @ApiModelProperty("生产企业数量(个)")
    private Integer productionCompanyNums;
    @ApiModelProperty("当前市生产企业数量(个)合计")
    private Integer productionCompanyNumsTotal;

    @ApiModelProperty("年设计生产能力(万立方米)")
    private BigDecimal annualDesignProductionCapacity;
    @ApiModelProperty("当前市年设计生产能力(万立方米)合计")
    private BigDecimal annualDesignProductionCapacityTotal;

    @ApiModelProperty("本月实际产量(立方米)")
    private BigDecimal thisMonthOutput;
    @ApiModelProperty("当前市本月实际产量(立方米)合计")
    private BigDecimal thisMonthOutputTotal;

    @ApiModelProperty("累计产量(立方米)")
    private BigDecimal accumulativeOutput;
    @ApiModelProperty("当前市累计产量(立方米)合计")
    private BigDecimal accumulativeOutputTotal;

    @ApiModelProperty("本月散装水泥使用量(吨)")
    private BigDecimal thisMonthCementUsage;
    @ApiModelProperty("当前市本月散装水泥使用量(吨)合计")
    private BigDecimal thisMonthCementUsageTotal;

    @ApiModelProperty("散装水泥累计使用量(吨)")
    private BigDecimal cementAccumulativeUsage;
    @ApiModelProperty("当前市散装水泥累计使用量(吨)合计")
    private BigDecimal cementAccumulativeUsageTotal;

    @ApiModelProperty("本月废弃物综合利用量(吨)")
    private BigDecimal thisMonthWasteUtilization;
    @ApiModelProperty("当前市本月废弃物综合利用量(吨)合计")
    private BigDecimal thisMonthWasteUtilizationTotal;

    @ApiModelProperty("累计废弃物综合利用量(吨)")
    private BigDecimal accumulativeWasteUtilization;
    @ApiModelProperty("当前市累计废弃物综合利用量(吨)合计")
    private BigDecimal accumulativeWasteUtilizationTotal;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
