package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("数据查询列表返回VO")
public class ResDataQueryListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("关联数据ID")
    private Long relevanceDataId;

    @ApiModelProperty("审核记录ID")
    private Long auditRecordId;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("所属区域")
    private String regionName;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;
    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("审核状态名称")
    private String auditStatusName;

    @ApiModelProperty("审核意见")
    private String auditOpinion;

    @ApiModelProperty("审核数据(对应上报数据)ID列表")
    private List<Long> auditDataIdList;

    @ApiModelProperty("审核数据ID列表Map")
    private Map<Long, List<Long>> auditDataIdListMap;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("最近一次更新时间")
    private LocalDateTime updateTime;
}
