package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("数据上报详情VO")
public class ResDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("散装水泥供应量数据上报详情VO")
    private ResBulkCementSupplyDataUploadDetailVO bulkCementSupplyDataUploadDetailVo;

    @ApiModelProperty("中转库进出量数据上报详情VO")
    private ResBulkCementTransferDataUploadDetailVO bulkCementTransferDataUploadDetailVo;

    @ApiModelProperty("温台舟使用量数据上报详情VO")
    private ResBulkCementThreeCityUsageDataUploadDetailVO bulkCementThreeCityUsageDataUploadDetailVo;

    @ApiModelProperty("混凝土供应量数据上报详情VO")
    private ResConcreteSupplyDataUploadDetailVO concreteSupplyDataUploadDetailVO;

    @ApiModelProperty("砂浆供应量数据上报详情VO")
    private ResMortarSupplyDataUploadDetailVO mortarSupplyDataUploadDetailVO;

    @ApiModelProperty("非禁现区散装水泥销售使用情况年报数据上报详情VO")
    private ResNonProhibitedAreasDataUploadDetailVO nonProhibitedAreasDataUploadDetailVO;

    @ApiModelProperty("散装水泥物流设施统计年报数据上报详情VO")
    private Map<String, ResBulkCementLogFacStaDataUploadDetailVO> bulkCementLogFacStaDataUploadDetailVO;

    @ApiModelProperty("散装水泥、预拌混凝土、干混砂浆物流装备统计年报数据上报详情VO")
    private Map<String, ResMaterialLogEquipStaDataUploadDetailVO> materialLogEquipStaDataUploadDetailVO;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("备注")
    private String remark;
}
