package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("散装水泥、预拌混凝土、干混砂浆物流装备统计年报数据上报详情VO")
public class ResMaterialLogEquipStaDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("地区")
    private String regionName;

    @ApiModelProperty("装备名称")
    private String equipmentName;

    @ApiModelProperty("年初数量(辆、个)")
    private Integer yearBeginNum;
    @ApiModelProperty("当前市年初数量(辆、个)合计")
    private Integer yearBeginNumTotal;

    @ApiModelProperty("年初额定量(吨、立方米)")
    private BigDecimal yearBeginNominalRate;
    @ApiModelProperty("当前市年初额定量(吨、立方米)合计")
    private BigDecimal yearBeginNominalRateTotal;

    @ApiModelProperty("本年新增数量")
    private Integer thisYearNewAddNum;
    @ApiModelProperty("当前市本年新增数量合计")
    private Integer thisYearNewAddNumTotal;

    @ApiModelProperty("本年新增额定量")
    private BigDecimal thisYearNewAddNominalRate;
    @ApiModelProperty("当前市本年新增额定量合计")
    private BigDecimal thisYearNewAddNominalRateTotal;

    @ApiModelProperty("本年减少数量")
    private Integer thisYearDecreaseNum;
    @ApiModelProperty("当前市本年减少数量合计")
    private Integer thisYearDecreaseNumTotal;

    @ApiModelProperty("本年减少额定量")
    private BigDecimal thisYearDecreaseNominalRate;
    @ApiModelProperty("当前市本年减少额定量合计")
    private BigDecimal thisYearDecreaseNominalRateTotal;

    @ApiModelProperty("年末数量")
    private Integer yearEndNum;
    @ApiModelProperty("当前市年末数量合计")
    private Integer yearEndNumTotal;

    @ApiModelProperty("年末额定量")
    private BigDecimal yearEndNominal;
    @ApiModelProperty("当前市年末额定量合计")
    private BigDecimal yearEndNominalTotal;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
