package com.ningdatech.carapi.road.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author FangShiBa
 * @apiNote
 * @since 2024/11/20
 */
@TableName("nd_comprehensive_situation")
@ApiModel(value = "ComprehensiveSituation对象", description = "道路综合实时数据表")
@Data
public class ComprehensiveSituation {

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("隧道 1 黄山隧道、2 何里隧道")
    private Integer tunnel;

    @ApiModelProperty("道路安全指数")
    private Integer roadSafetyIndex;

    @ApiModelProperty("道路评分")
    private Integer roadScore;

    @ApiModelProperty("车辆评分")
    private Integer carScore;

    @ApiModelProperty("驾驶员评分")
    private Integer driverScore;

    @ApiModelProperty("环境评分")
    private Integer environmentScore;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;
}
