package com.ningdatech.carapi.road.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2024-10-22
 */
@TableName("nd_road_behavior_analysis")
@ApiModel(value = "RoadBehaviorAnalysis对象", description = "")
@Data
public class RoadBehaviorAnalysis implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("异常行为类型 1 驾驶员异常 2 车辆异常 3 道路异常 4 环境异常")
    private Integer type;

    @ApiModelProperty("异常行为描述")
    private String behavior;

    @ApiModelProperty("异常行为码")
    private String behaviorCode;

    @ApiModelProperty("异常行为时间")
    private LocalDateTime behaviorTime;

    @ApiModelProperty("区域 1 黄山隧道东阳去向、2 黄山隧道东阳来向、3 黄山隧道义乌去向、4 黄山隧道义乌来向、5 何里隧道兰溪方向、6 何里隧道义乌方向")
    private String region;

    @ApiModelProperty("异常记录图片路径")
    private String picturePath;

    @ApiModelProperty("超速异常记录位置信息")
    private String overspeedPositionInfo;

    @ApiModelProperty("是否需要预警")
    private Boolean isWarn = Boolean.FALSE;

    @ApiModelProperty("是否处理")
    private Boolean isHandled = Boolean.FALSE;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;
}
