package com.ningdatech.carapi.road.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author FangShiBa
 * @apiNote
 * @since 2024/11/20
 */
@TableName("nd_traffic_flow")
@ApiModel(value = "TrafficFlow对象", description = "车流量统计表")
@Data
public class TrafficFlow {

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域 (1-黄山隧道义务方向 2-黄山隧道东阳方向 3-何里隧道)")
    private Integer region;

    @ApiModelProperty("车流量")
    private String trafficFlow;
}
