package com.ningdatech.carapi.road.model.req;

import java.time.LocalDateTime;
import java.util.List;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author CMM
 * @author CMM
 * @date 2024/10/23 17:53
 * /
 * /**
 * @since 2024/10/23 17:53
 */
@Data
public class RoadMonitorReq extends PagePo {

    @ApiModelProperty("区域 1 黄山隧道东阳去向、2 黄山隧道东阳来向、3 黄山隧道义乌去向、4 黄山隧道义乌来向、5 何里隧道兰溪方向、6 何里隧道义乌方向")
    private String region;

    @ApiModelProperty("隧道 1 黄山隧道、2 何里隧道、3 两条隧道汇总")
    private Integer tunnel;

    @ApiModelProperty("隧道包含的区域 列表")
    @NotEmpty(message = "区域不能为空")
    private List<String> regionList;

    @ApiModelProperty("行为类型 1 驾驶员、2 车辆、3 道路、4 环境")
    private Integer type;

    @ApiModelProperty("危险行为")
    private String behavior;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("是否预警")
    private Boolean isWarn;
}
