package com.ningdatech.carapi.road.model.vo;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @since 2024/10/23 10:49
 */
@Data
@ApiModel(description = "道路安全监综合态势计数据-VO")
@NoArgsConstructor
@AllArgsConstructor
public class RoadDangerBehaviorVO {

    @ApiModelProperty("危险行为ID")
    private Long id;

    @ApiModelProperty("道路异常分析记录")
    private String record;

    @ApiModelProperty("道路异常分析记录Code")
    private String recordCode;

    @ApiModelProperty("道路异常分析类型")
    private String recordType;

    @ApiModelProperty("异常记录时间")
    private LocalDateTime recordTime;

    @ApiModelProperty("异常记录区域")
    private String region;

    @ApiModelProperty("异常记录图片路径")
    private String picturePath;

    @ApiModelProperty("异常记录视频路径")
    private String videoPath;

    @ApiModelProperty("超速异常记录位置信息")
    private String overspeedPositionInfo;

    @ApiModelProperty("是否需要预警")
    private Boolean isWarn = Boolean.FALSE;

    @ApiModelProperty("是否处理")
    private Boolean isHandled = Boolean.FALSE;
}
