package com.ningdatech.carapi.road.model.vo;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @since 2024/10/23 10:49
 */
@Data
@ApiModel(description = "数据驾驶舱车辆GPS数据-VO")
@NoArgsConstructor
@AllArgsConstructor
public class VehicleGpsDataVO {

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车速")
    private BigDecimal carVelocity;

    @ApiModelProperty("车辆方向")
    private BigDecimal carDirection;

    @ApiModelProperty("上报时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("经度")
    private BigDecimal longitude;

    @ApiModelProperty("纬度")
    private BigDecimal latitude;
}
