package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_safety_commitment")
@Data
@ApiModel(value = "NdSafetyCommitment", description = "安全管理-安全承诺")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdSafetyCommitment extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 公司ID
     */
    @ApiModelProperty("公司ID")
    @TableField(value = "company_id")
    private Long companyId;

    /**
     * 公司名
     */
    @ApiModelProperty("公司名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 公司地址
     */
    @ApiModelProperty("公司地址")
    @TableField(value = "company_address")
    private String companyAddress;

    /**
     * 法人代表
     */
    @ApiModelProperty("法人代表")
    @TableField(value = "legal_person")
    private String legalPerson;

    /**
     * 向社会承诺
     */
    @ApiModelProperty("向社会承诺")
    @TableField(value = "commitments_to_social")
    private String commitmentsToSocial;

    /**
     * 向员工承诺
     */
    @ApiModelProperty("向员工承诺")
    @TableField(value = "commitments_to_employee")
    private String commitmentsToEmployee;

    /**
     * 总经理承诺
     */
    @ApiModelProperty("总经理承诺")
    @TableField(value = "general_manager_commitment")
    private String generalManagercommitment;

    /**
     * 分管总承诺
     */
    @ApiModelProperty("分管总承诺")
    @TableField(value = "leader_in_charge_commitment")
    private String leaderInChargeCommitment;

    /**
     * 车队长承诺
     */
    @ApiModelProperty("车队长承诺")
    @TableField(value = "team_leader_commitment")
    private String teamLeaderCommitment;

    /**
     * 驾驶员承诺
     */
    @ApiModelProperty("驾驶员承诺")
    @TableField(value = "driver_commitment")
    private String driverCommitment;
}
