package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_vehicle_accident_dead")
@Data
@ApiModel(value = "NdVehicleAccidentDead", description = "安全管理-事故管理-死亡事故")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleAccidentDead extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    @TableField(value = "accident_time")
    private LocalDateTime accidentTime;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    @TableField(value = "car_plate")
    private String carPlate;

    /**
     * 事故驾驶员
     */
    @ApiModelProperty("事故驾驶员")
    @TableField(value = "accident_driver")
    private String accidentDriver;

    /**
     * 事故驾驶员ID
     */
    @ApiModelProperty("事故驾驶员ID")
    @TableField(value = "driver_id")
    private String driverId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    @TableField(value = "company_id")
    private Long companyId;

    /**
     * 事故地址
     */
    @ApiModelProperty("事故地址")
    @TableField(value = "accident_address")
    private String accidentAddress;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("受伤人数")
    private Integer injuries;

    @ApiModelProperty("死亡人数")
    private Integer deathToll;

    @ApiModelProperty("上报状态")
    private Integer reportStatus;

    @ApiModelProperty("简要案情")
    private String briefCase;

    @ApiModelProperty("事故编号")
    private String accidentNo;

    @ApiModelProperty("事故责任认定书认定内容")
    private String firmContent;
}
