package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 车辆超速信息表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-17
 */
@TableName("nd_vehicle_overspeed_info")
@Data
@ApiModel(value = "VehicleOverspeedInfo对象", description = "车辆超速信息表")
public class VehicleOverspeedInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("修改人")
    private Long updateBy;

    @ApiModelProperty("超速时间")
    private LocalDateTime overspeedDate;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("最高速率")
    private BigDecimal maxSpeed;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("所属城市")
    private String city;

    @ApiModelProperty("所属县区")
    private String distinguish;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名字")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("限速")
    private BigDecimal limitSpeed;

    @ApiModelProperty("地点")
    private String address;

    @ApiModelProperty("经度")
    private BigDecimal longitude;

    @ApiModelProperty("纬度")
    private BigDecimal latitude;

    @ApiModelProperty("路段")
    private String waySection;

    @ApiModelProperty("开始路段")
    private String waySectionStart;

    @ApiModelProperty("结束路段")
    private String waySectionEnd;

    private LocalDateTime startTime;
    private LocalDateTime endTime;

    private Long alarmMsgSn;
    private Long gnssCenterId;

    @ApiModelProperty("是否删除")
    private Integer deleted;
}
