package com.ningdatech.carapi.safe.model.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * 超速管理
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "OverspeedPageQuery", description = "超速管理")
public class OverspeedPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endTime;

    /**
     * 区域code 拼接 code,level
     */
    @ApiModelProperty("区域id")
    private Long regionId;
    private List<Long> regionIds;

    /**
     * 排名
     */
    @ApiModelProperty("排名")
    private Integer rank;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;
    /**
     * 企业ID列表
     */
    @ApiModelProperty("企业列表")
    private List<Long> companyIds;

    /**
     * 车辆 车牌号
     */
    @ApiModelProperty("车辆 车牌号")
    private String carPlate;
    /**
     * 车辆 车牌号列表
     */
    @ApiModelProperty("车辆 车牌号列表")
    private List<String> carPlateList;

    /**
     * 路段名
     */
    @ApiModelProperty("路段名")
    private String waySection;

    private String dataScopeSql;
}
