package com.ningdatech.carapi.safe.model.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * 违章管理
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "ViolationPageQuery", description = "违章管理")
public class ViolationPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endTime;

    /**
     * 区域code 拼接 code,level
     */
    @ApiModelProperty("区域id")
    private Long regionId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 企业ID集合
     */
    @ApiModelProperty("企业ID集合")
    private List<Long> companyIds;

    /**
     * 车辆 车牌号
     */
    @ApiModelProperty("车辆 车牌号")
    private String carPlate;
    /**
     * 车辆 车牌号集合
     */
    @ApiModelProperty("车辆 车牌号集合")
    private List<String> carPlateList;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String idCard;

    /**
     * 驾驶员名字
     */
    @ApiModelProperty("驾驶员名字")
    private String driverName;

    /**
     * 违章类型
     */
    @ApiModelProperty("违章类型 1.无证驾驶 2.闯红灯 3.超载 4.违规路段行驶 5.违规时间行驶")
    private Integer violationType;
}
