package com.ningdatech.carapi.safe.model.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdInsureOutDangerAnalysisPO", description = "安全管理-保险管理-出险分析")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdInsureOutDangerAnalysisPO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 出险次数
     */
    @ApiModelProperty("出险次数")
    private Integer outDangerTimes;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    private String accidentTime;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;


    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 受伤人数
     */
    @ApiModelProperty("受伤人数")
    private Integer injuries;

    /**
     * 死亡人数
     */
    @ApiModelProperty("死亡人数")
    private Integer deathToll;

    private Integer rank;
}
