package com.ningdatech.carapi.safe.model.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdVehicleOverspeedWaysectionPO", description = "安全管理-超速管理-超速路段")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleOverspeedWaysectionPO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 超速时间
     */
    @ApiModelProperty("超速时间")
    private LocalDateTime overspeedDate;

    /**
     * 超速次数
     */
    @ApiModelProperty("超速次数")
    private Integer overspeedTimes;

    /**
     * 路段名字
     */
    @ApiModelProperty("路段名字")
    private String waySection;

    /**
     * 排名
     */
    @ApiModelProperty("排名")
    private Integer rank;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    private Long companyId;

    /**
     * 所属市
     */
    @ApiModelProperty("所属市")
    private String city;

    /**
     * 所属区
     */
    @ApiModelProperty("所属区")
    private String distinguish;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域")
    private String regionName;

    @ApiModelProperty("开始路段")
    private String waySectionStart;

    @ApiModelProperty("结束路段")
    private String waySectionEnd;
}
