package com.ningdatech.carapi.safe.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdSafetyCommitment", description = "安全管理-安全承诺")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdSafetyCommitmentVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 公司ID
     */
    @ApiModelProperty("公司ID")
    private Long companyId;

    /**
     * 公司名
     */
    @ApiModelProperty("公司名")
    private String companyName;

    /**
     * 公司地址
     */
    @ApiModelProperty("公司地址")
    private String companyAddress;

    /**
     * 法人代表
     */
    @ApiModelProperty("法人代表")
    private String legalPerson;

    /**
     * 向社会承诺
     */
    @ApiModelProperty("向社会承诺")
    private Integer commitmentsToSocial = 0;

    /**
     * 向员工承诺
     */
    @ApiModelProperty("向员工承诺")
    private Integer commitmentsToEmployee = 0;

    /**
     * 总经理承诺
     */
    @ApiModelProperty("总经理承诺")
    private Integer generalManagercommitment = 0;

    /**
     * 分管总承诺
     */
    @ApiModelProperty("分管总承诺")
    private Integer leaderInChargeCommitment = 0;

    /**
     * 车队长承诺
     */
    @ApiModelProperty("车队长承诺")
    private Integer teamLeaderCommitment = 0;

    /**
     * 驾驶员承诺
     */
    @ApiModelProperty("驾驶员承诺")
    private Integer driverCommitment = 0;
}
