package com.ningdatech.carapi.safe.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdSecurityAdvisory", description = "安全管理-安全通报")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdSecurityAdvisoryVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 通报日期
     */
    @ApiModelProperty("通报日期")
    private LocalDateTime advisoryDate;

    /**
     * 通报文件名
     */
    @ApiModelProperty("通报文件名")
    private String advisoryFileName;

    /**
     * 通报文件url
     */
    @ApiModelProperty("通报文件url")
    private String advisoryFileUrl;

    /**
     * 通报次数
     */
    @ApiModelProperty("通报次数")
    private Integer downloadTimes;

    /**
     * 文件Id
     */
    @ApiModelProperty("文件ID")
    private Long fileId;
}
