package com.ningdatech.carapi.safe.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.carapi.common.base.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @author CMM
 * @since 2022/12/26 13:47
 */
@Data
@ApiModel(value = "NdVehicleAccidentReportVO", description = "安全管理-事故管理-事故上报")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleAccidentReportVO extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    private Long companyId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 事故车辆
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 驾驶员ID
     */
    @ApiModelProperty("驾驶员ID")
    private String driverId;

    /**
     * 事故驾驶员
     */
    @ApiModelProperty("事故驾驶员")
    private String accidentDriver;

    /**
     * 事故日期
     */
    @ApiModelProperty("事故时间")
    private LocalDateTime accidentTime;

    /**
     * 事故地址
     */
    @ApiModelProperty("事故地址")
    private String accidentAddress;

    /**
     * 死亡人数
     */
    @ApiModelProperty("死亡人数")
    private Long deathToll;

    /**
     * 受伤人数
     */
    @ApiModelProperty("受伤人数")
    private Long injuries;

    /**
     * 审核状态
     */
    @ApiModelProperty(notes = "审核状态",allowableValues = "0 待审核, 1 审核通过, 2 审核不通过")
    private Integer auditStatus;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private String createTime;

}
