package com.ningdatech.carapi.safe.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdVehicleOverspeedCompanyVO", description = "安全管理-超速管理-企业超速")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleOverspeedCompanyVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 超速时间
     */
    @ApiModelProperty("超速时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date overspeedDate;

    /**
     * 超速次数
     */
    @ApiModelProperty("超速次数")
    private Integer overspeedTimes;

    /**
     * 最高速率
     */
    @ApiModelProperty("最高速率")
    private Double maxSpeed;

    /**
     * 排名
     */
    @ApiModelProperty("排名")
    private Integer rank;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 企业Id
     */
    @ApiModelProperty("企业ID")
    private Long companyId;

    /**
     * 所属市
     */
    @ApiModelProperty("所属市")
    private String city;

    /**
     * 所属区
     */
    @ApiModelProperty("所属区")
    private String distinguish;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名称
     */
    @ApiModelProperty("区域名称")
    private String regionName;
}
