package com.ningdatech.carapi.scheduler.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 统计车辆上线状态 按天
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-12-18
 */
@TableName("nd_vehicle_online_status_day")
@ApiModel(value = "VehicleOnlineStatusDay对象", description = "统计车辆上线状态 按天")
@Data
public class VehicleOnlineStatusDay implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("修改人")
    private Long updateBy;

    @ApiModelProperty("0离线 1在线 2异常")
    private Integer status;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("年")
    private String year;

    @ApiModelProperty("月")
    private String month;

    @ApiModelProperty("日")
    private String day;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("0未删除1已删除")
    private Boolean deleted;

    @ApiModelProperty("在线时间")
    private LocalDateTime onlineTime;

    @ApiModelProperty("距离上次在线时间间隔")
    private Integer onlineTimeInterval;
}
