package com.ningdatech.carapi.sys.entity.dto;

import com.ningdatech.carapi.sys.entity.OperatorRegionHead;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 实体类
 * 运营商
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "OperatorQueryDTO", description = "运营商")
public class OperatorQueryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 运营商名称
     */
    @ApiModelProperty(value = "运营商名称")
    private String name;

    /**
     * 运营商备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 区域负责人
     */
    @ApiModelProperty(value = "区域负责人")
    private List<OperatorRegionHead> operatorRegionHeads;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createOn;
}
