package com.ningdatech.carapi.sys.entity.dto;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.basic.model.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 实体类
 * 用户
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "UserPageQuery", description = "用户")
public class UserPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String username;

    /**
     * 登录帐号
     */
    @ApiModelProperty(value = "登录帐号")
    private String account;

    /**
     * 用户角色id
     */
    @ApiModelProperty(value = "用户角色id")
    private Long roleId;

    /**
     * 所属企业
     */
    @ApiModelProperty(value = "所属企业")
    private String companyName;

}
