package com.ningdatech.carapi.sys.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * RegionTreeVO
 * </p>
 *
 * @author WendyYang
 * @since 10:35 2022/10/12
 */
@Data
@ToString(callSuper = true)
@ApiModel(value = "CarInfoVO", description = "车辆树状结构VO")
public class CarInfoVO {

    @ApiModelProperty("车辆所属企业ID")
    private Long companyId;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆状态")
    private Integer moving;

    @ApiModelProperty("车辆所属设备信息")
    private Map<String, List<EquipmentInfoVO>> equipmentInfoMap;


}
