package com.ningdatech.carapi.sys.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 值对象
 * 企业
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-09
 */
@Data
@ApiModel(value = "CompanyDTO", description = "企业")
public class RegionTreeCompanyVO {

    private Long id;

    private static final long serialVersionUID = 1L;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String name;

    /**
     * 车辆数
     */
    @ApiModelProperty(value = "车辆数")
    private Long vehicleNum;

    /**
     * 地区ID
     */
    @ApiModelProperty(value = "地区id")
    private Long regionId;

    /**
     * 地区
     */
    @ApiModelProperty(value = "地区")
    private String regionName;

    /**
     * 运营商ID
     */
    @ApiModelProperty(value = "运营商ID")
    private Long operatorId;

    /**
     * 运营商
     */
    @ApiModelProperty(value = "运营商")
    private String operatorName;

    /**
     * 传真
     */
    @ApiModelProperty(value = "传真")
    private String fax;

    /**
     * email
     */
    @ApiModelProperty(value = "email")
    private String email;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contactPerson;

    /**
     * 联系方式
     */
    @ApiModelProperty(value = "联系方式")
    private String contactPhone;

    /**
     * 法人
     */
    @ApiModelProperty(value = "法人")
    private String legalPerson;

    /**
     * 法人联系电话
     */
    @ApiModelProperty(value = "法人联系电话")
    private String legalPersonPhone;

    /**
     * 公司类型
     */
    @ApiModelProperty(value = "公司类型")
    private Integer companyType;

    /**
     * 公司类型名
     */
    @ApiModelProperty(value = "公司类型名")
    private String companyTypeName;

    @ApiModelProperty("车牌号集合")
    private List<CarVO> carNoList;

}
