package com.ningdatech.carapi.sys.entity.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.carapi.common.base.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * <p>
 *
 * </p>
 *
 * @author Zpf
 * @since 2022-10-17
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@AllArgsConstructor
@Builder
public class UserInfoVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 账号
     */
    @ApiModelProperty(value = "账号")
    private String account;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String username;

    /**
     * 角色
     */
    @ApiModelProperty(value = "角色")
    private Long role;

    /**
     * 角色名称
     */
    @ApiModelProperty(value = "角色名称")
    private String roleName;

    /**
     * 企业
     */
    @ApiModelProperty(value = "企业id")
    private Long companyId;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String companyName;

    /**
     * 公司行业
     */
    @ApiModelProperty(value = "行业id")
    private Long industry;

    /**
     * 行业名称
     */
    @ApiModelProperty(value = "行业名称")
    private String industryName;

    /**
     * 手机
     */
    @ApiModelProperty(value = "手机")
    private String mobile;

    /**
     * 最后登录时间
     */
    @ApiModelProperty(value = "最后登录时间")
    private LocalDateTime lastLoginTime;

    /**
     * 职位
     */
    @ApiModelProperty(value = "职位")
    private String position;

    /**
     * 科室
     */
    @ApiModelProperty(value = "科室")
    private String sectionOffice;

    /**
     * 昵称
     */
    @ApiModelProperty(value = "昵称")
    private String nickName;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用户是否可登录
     */
    @ApiModelProperty(value = "用户是否可登录")
    private Boolean canLogin;

}
