package com.ningdatech.carapi.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.sys.entity.Menu;
import com.ningdatech.carapi.sys.entity.dto.MenuSaveDTO;
import com.ningdatech.carapi.sys.entity.dto.MenuUpdateDTO;
import com.ningdatech.carapi.sys.entity.vo.MenuResourceTreeVO;

import java.util.List;

/**
 * <p>
 * 业务接口
 * 菜单
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-09-30
 */
public interface MenuService extends IService<Menu> {

    /**
     * 根据ID删除
     *
     * @param ids id
     * @return 是否成功
     */
    boolean removeByIdWithCache(List<Long> ids);

    /**
     * 修改菜单
     *
     * @param menu 菜单
     * @return 是否成功
     */
    boolean update(MenuUpdateDTO menu, Long userId);

    /**
     * 保存菜单
     *
     * @param menu 菜单
     * @return 是否成功
     */
    boolean save(MenuSaveDTO menu, Long userId);
}
